dpkg-name(1)

NAMN
dpkg-name - byt namnet på Debianpaket till det fullständiga paketnamnet

SYNOPS
dpkg-name [flagga...] [--] fil...

BESKRIVNING

Manualsidan dokumenterar programmet dpkg-name, vilket tillhandahåller ett enkelt sätt att byta namn på Debianpaket till deras fullständiga paketnamn. Ett fullständigt paketnamn består av paket_version_arkitektur.pakettyp och anges av control-filen i paketet. Version-delen av filnamnet består av uppströmsversionsinformation och kan eventuellt följas av ett bindestreck och revisionsinformationen. Pakettyp-delen kommer från fältet package-type om det finns, annars deb.

FLAGGOR

-a, --no-architecture
    Destinationsfilnamnet kommer inte att innehålla information om arkitektur.

-k, --symlink
    Skapa en symbolisk länk istället för att flytta.

-o, --overwrite
    Befintliga filer kommer att skrivas över om de har samma namn som destinationsfilnamnet.

-s, --subdir [katalog]
    Files will be moved into a subdirectory. If the directory given as argument exists the files will be moved into that directory otherwise the name of the target directory is extracted from the section field in the control part of the package. The target directory will be «unstable/binary-architecture/section». If the section is not found in the control, then no-section is assumed, and in this case, as well as for sections non-free and contrib the target directory is «section/binary-architecture». The section field is not required so a lot of packages will find their way to the no-section area. Use this option with care, it's messy.

-c, --create-dir
    Flaggan kan användas tillsammans med -s-flaggan. Om en målkatalog inte existerar kommer den att skapas automatiskt. Använd denna flagga försiktigt.

-?, --help
    Visar hjälpskärm och avslutar.

-v, --version
    Visar version och avslutar.

PROGRAMFEL
Vissa paket följer inte namnstrukturen paket_version_arkitektur.deb. Paket vars namn ändrats med dpkg-name kommer följa denna struktur. Normalt påverkar detta inte hur dselect(1)/dpkg(1) installerar paket, men vissa andra installationsverktyg kan vara beroende av denna namngivningsstruktur.

EXEMPEL

dpkg-name bar-foo.deb
    The file bar-foo.deb will be renamed to bar-foo_1.0-2_i386.deb or something similar (depending on whatever information is in the control part of bar-foo.deb).

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    All files with the extension deb in the directory /root/debian and its subdirectory's will be renamed by dpkg-name if required into names with no architecture information.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Gör inte så här. Ditt arkiv kommer att röras till helt och hållet eftersom många paket inte har någon sektionsinformation. Gör inte så här.

dpkg-deb --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Kan användas när nya paket byggs.

SE ÄVEN
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.